package com.jpattern.orm.test.query;


import com.jpattern.orm.IOrmClassToolMap;
import com.jpattern.orm.session.NullSession;

/**
 * 
 * @author Francesco Cina
 *
 * 22/giu/2011
 */
public class MockSession extends NullSession {

	/**
	 * 
	 */
	
	private final IOrmClassToolMap ormClassToolMap;

	public MockSession(IOrmClassToolMap ormClassToolMap) {
		this.ormClassToolMap = ormClassToolMap;
	}

	public IOrmClassToolMap getCurrentOrmClassToolMap() {
		return ormClassToolMap;
	}


}
